// genericInstaller -- update windows and office
//
// Copyright (C) 2008
// Wolfgang Formann
//
// this file is part of the programm genericInstaller.  This program is
// free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your
// option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef AboutProgramm_h
#define AboutProgramm_h

#include <Qt/qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QPushButton;
class QLabel;
class QTextEdit;
class QTextBrowser;
class QTabWidget;
class MyWindow;

class AboutProgramm: public QDialog
{
    Q_OBJECT

public:
    AboutProgramm(MyWindow const *parent);
    virtual ~AboutProgramm();

protected:
	QVBoxLayout *_layoutAll;
	QHBoxLayout *_layoutButton;
	QHBoxLayout *_layoutTop;
	QLabel *_topGraphic;
	QLabel *_topLabel;
	QTextEdit *_licenseText;
	QTextBrowser *_authorText;
	QWidget *_aboutWidget;
	QVBoxLayout *_aboutLayout;
	QLabel *_label1;
	QLabel *_label2;
	QLabel *_label3;
	QTabWidget *_tab;
	QPushButton *_ok;

private slots:
	void closeForm();

private:
    MyWindow const *_parent;
};
#endif

