// genericInstaller -- update windows and office
//
// Copyright (C) 2008
// Wolfgang Formann
//
// this file is part of the programm genericInstaller.  This program is
// free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your
// option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef InsensitiveCheckBox_h
#define InsensitiveCheckBox_h

#include <Qt/qcheckbox.h>
class QEvent;

class InsensitiveCheckBox : public QCheckBox
{
	Q_OBJECT

public:
    InsensitiveCheckBox(Qt::CheckState state, bool isInsensitive);
    ~InsensitiveCheckBox();

    virtual bool event(QEvent *e);
    bool isInsensitive() const {
        return _isInsensitive;
    }

private:
    bool _isInsensitive;
};

#endif
