// genericInstaller -- update windows and office
//
// Copyright (C) 2008
// Wolfgang Formann
//
// this file is part of the programm genericInstaller.  This program is
// free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your
// option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef OSCheck_h
#define OSCheck_h

#include "WindowLeftLargeLogoPage.h"

class QPushButton;
class QLabel;
class QProgressBar;
class QTimer;

class OSCheck : public WindowLeftLargeLogoPage
{
	Q_OBJECT

public:
    OSCheck(MyWindow *mainWindow);
    ~OSCheck();

    QPushButton *getNextButton() {
        return _next;
    }
    QLabel *getHeaderText() {
        return _header2Text;
    }
    QProgressBar *getProgress() {
        return _progress;
    }
    void stopTimer();

private slots:
    void analyseTick();

private:
    void subOSCheck();
    QLabel *_header2Text;
    QProgressBar *_progress;
    QTimer *_timer;

    bool _upOrDown;
};

#endif
