// genericInstaller -- update windows and office
//
// Copyright (C) 2007,2008
// Wolfgang Formann
//
// this file is part of the programm genericInstaller.  This program is
// free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your
// option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef DecipherProcess_h
#define DecipherProcess_h

#include <Qt/qprocess.h>

class InstallData;
class InstallPage;

class DecipherProcess : public QProcess
{
	Q_OBJECT

public:
    DecipherProcess(InstallPage *parent,  std::list<InstallData *>::iterator it);
    ~DecipherProcess();

    void run();

private slots:
    void didDecipher(int exitCode, QProcess::ExitStatus exitStatus);

private:
    std::list<InstallData *>::iterator _it;
    InstallPage *_parent;
    QString _decryptedFile;
};

#endif
